<?php
/**
 * @brief		Upgrader bootstrap
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - 2016 Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Community Suite
 * @since		20 May 2014
 * @version		SVN_VERSION_NUMBER
 */

define('READ_WRITE_SEPARATION', FALSE);

require_once '../../init.php';

if( \IPS\IN_DEV )
{
	die( "Вы должны отключить Режим разработчика (IN_DEV) для запуска мастера обновлений" );
}

if( \IPS\NO_WRITES )
{
	die( "Вы должны отключить режим, запрещающий запись файлов (NO_WRITES) для запуска мастера обновлений" );
}

if( \IPS\QUERY_LOG )
{
	die( "You must disable the query log (QUERY_LOG) in order to run the upgrader" );
}

\IPS\Dispatcher\Setup::i()->setLocation('upgrade')->run();